%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-jupyter_client
Version:       8.6.3
Release:       1mamba
Summary:       The reference implementation of the Jupyter protocol
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/jupyter-client/
Source:        https://pypi.debian.net/jupyter-client/jupyter_client-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: (python3.11dist(jupyter-core) < 5 or python3.11dist(jupyter-core) > 5.1)
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(jupyter-core)
BuildRequires: python3.11dist(python-dateutil)
BuildRequires: python3.11dist(pyzmq)
BuildRequires: python3.11dist(tornado)
BuildRequires: python3.11dist(traitlets)
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%define py_requires_append \
Requires:     python-jupyter_core%{?pyappend:-%pyappend}
%pyver_package
%endif

%prep
%setup -q -n jupyter_client-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

%if "%{?with_pyver}" != "3"
# Rename any conflicting file outside of python site packages tree
for f in %{_bindir}/jupyter-{kernel,kernelspec,run}; do
   mv %{buildroot}${f}{,-%{?pyappend}}
done
%endif

%files %{?pyappend}
%defattr(-,root,root)
%{_bindir}/jupyter-kernel*
%{_bindir}/jupyter-kernelspec*
%{_bindir}/jupyter-run*
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*

%changelog
* Wed Sep 18 2024 Automatic Build System <autodist@openmamba.org> 8.6.3-1mamba
- automatic version update by autodist

* Fri May 24 2024 Automatic Build System <autodist@openmamba.org> 8.6.2-1mamba
- automatic version update by autodist

* Tue Mar 12 2024 Automatic Build System <autodist@openmamba.org> 8.6.1-1mamba
- automatic version update by autodist

* Mon Nov 06 2023 Automatic Build System <autodist@mambasoft.it> 8.6.0-1mamba
- automatic version update by autodist

* Wed Oct 25 2023 Automatic Build System <autodist@mambasoft.it> 8.5.0-1mamba
- automatic version update by autodist

* Thu Oct 12 2023 Automatic Build System <autodist@mambasoft.it> 8.4.0-1mamba
- automatic version update by autodist

* Mon Oct 02 2023 Automatic Build System <autodist@mambasoft.it> 8.3.1-1mamba
- automatic version update by autodist

* Wed Sep 27 2023 Automatic Build System <autodist@mambasoft.it> 8.3.0-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Sat Jun 24 2023 Automatic Build System <autodist@mambasoft.it> 8.3.0-1mamba
- automatic version update by autodist

* Fri Apr 14 2023 Automatic Build System <autodist@mambasoft.it> 8.2.0-1mamba
- automatic version update by autodist

* Thu Apr 06 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 8.1.0-2mamba
- rebuilt with python 3.10

* Tue Mar 21 2023 Automatic Build System <autodist@mambasoft.it> 8.1.0-1mamba
- automatic version update by autodist

* Fri Feb 17 2023 Automatic Build System <autodist@mambasoft.it> 8.0.3-1mamba
- automatic version update by autodist

* Tue Jan 31 2023 Automatic Build System <autodist@mambasoft.it> 8.0.2-1mamba
- automatic version update by autodist

* Fri Jan 27 2023 Automatic Build System <autodist@mambasoft.it> 8.0.1-1mamba
- automatic version update by autodist

* Fri Jan 27 2023 Automatic Build System <autodist@mambasoft.it> 8.0.0-1mamba
- automatic version update by autodist

* Fri Jan 13 2023 Automatic Build System <autodist@mambasoft.it> 7.4.9-1mamba
- automatic version update by autodist

* Mon Dec 05 2022 Automatic Build System <autodist@mambasoft.it> 7.4.8-1mamba
- automatic version update by autodist

* Thu Nov 17 2022 Automatic Build System <autodist@mambasoft.it> 7.4.7-1mamba
- automatic version update by autodist

* Wed Nov 16 2022 Automatic Build System <autodist@mambasoft.it> 7.4.6-1mamba
- automatic version update by autodist

* Fri Nov 11 2022 Automatic Build System <autodist@mambasoft.it> 7.4.5-1mamba
- automatic version update by autodist

* Tue Oct 25 2022 Automatic Build System <autodist@mambasoft.it> 7.4.4-1mamba
- automatic version update by autodist

* Thu Oct 20 2022 Automatic Build System <autodist@mambasoft.it> 7.4.3-1mamba
- automatic version update by autodist

* Thu Oct 13 2022 Automatic Build System <autodist@mambasoft.it> 7.4.2-1mamba
- automatic version update by autodist

* Wed Oct 12 2022 Automatic Build System <autodist@mambasoft.it> 7.4.1-1mamba
- automatic version update by autodist

* Sun Oct 09 2022 Automatic Build System <autodist@mambasoft.it> 7.3.5-1mamba
- automatic version update by autodist

* Mon May 09 2022 Automatic Build System <autodist@mambasoft.it> 7.3.1-1mamba
- automatic version update by autodist

* Tue Apr 26 2022 Automatic Build System <autodist@mambasoft.it> 7.3.0-1mamba
- automatic version update by autodist

* Fri Apr 08 2022 Automatic Build System <autodist@mambasoft.it> 7.2.2-1mamba
- automatic version update by autodist

* Thu Mar 31 2022 Automatic Build System <autodist@mambasoft.it> 7.2.1-1mamba
- automatic version update by autodist

* Tue Mar 29 2022 Automatic Build System <autodist@mambasoft.it> 7.2.0-1mamba
- automatic version update by autodist

* Sun Jan 23 2022 Automatic Build System <autodist@mambasoft.it> 7.1.2-1mamba
- automatic version update by autodist

* Sat Jan 15 2022 Automatic Build System <autodist@mambasoft.it> 7.1.1-1mamba
- automatic version update by autodist

* Wed Nov 24 2021 Automatic Build System <autodist@mambasoft.it> 7.1.0-1mamba
- automatic version update by autodist

* Thu Oct 21 2021 Automatic Build System <autodist@mambasoft.it> 7.0.6-1mamba
- automatic version update by autodist

* Sat Aug 21 2021 Automatic Build System <autodist@mambasoft.it> 7.0.1-1mamba
- automatic version update by autodist

* Mon Apr 12 2021 Automatic Build System <autodist@mambasoft.it> 6.2.0-1mamba
- automatic version update by autodist

* Wed Apr 07 2021 Automatic Build System <autodist@mambasoft.it> 6.1.13-1mamba
- automatic version update by autodist

* Sat Apr 03 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 6.1.12-2mamba
- rebuilt with distdeps

* Sun Mar 14 2021 Automatic Build System <autodist@mambasoft.it> 6.1.12-1mamba
- automatic version update by autodist

* Wed Jan 20 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 6.1.11-1mamba
- package created using the webbuild interface
